biuro@zwcad.pl

entget

Wyszukaj w słowniku

Dostępne słowniki:

Termin Definicja
entget

Odczytuje dane DXF z obiektu typu entity

Wiele funkcji LISP zwraca entity np :
- entmake
- entlast
- entnext
- ssgetfirst
- entsel

Możemy odczytać poszczególne właściwości bezpośrednio z entity wykorzystując (entget) lub zamienić entity na obiekt (vlax-ename->vla-object ) z takich obiektów można odczytać właściwości np: (vlax-get-property x 'Color ) lub wywołać ich metodę:(vlax-invoke-method x 'GetBoundingBox 'P1 'P2 )


przykład:
(command  "_LINE"  (list 100 10 0 ) (list 200 20 ) "")    ; rysujemy linię, ale funkcja command nie zwraca żadnego uchwytu utowrzonej linii. Możemy pobrać uchwyt ostatniego utowrzonego elementu :
(setq linia (entlast) )
np: <ENTITY NAME: 2c6479c8>

Jeśli chcemy np zmienić warstwę linii możemy to zrobić tak:

(setq ed (entget linia ) )
((-1 . <ENTITY NAME: 2c6479c8>) (0 . "LINE") (5 . "306") (330 . <ENTITY NAME: 2c643420>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbLine") (10 100.0 10.0 0.0) (11 200.0 20.0 0.0) (210 0.0 0.0 1.0))

(setq zmienioneDXF (subst  (cons  8  "nowaWarstwa") (assoc 8 ed)  ed) )    ; zakładam że nowaWarstwa jest już w rysunku
(entmod  zmienioneDXF )